Loading...
Searching...
No Matches
mdds::fst::detail::const_segment_iterator< FstType > Class Template Reference

## Classes

struct | value_type

## Public Member Functions

| const_segment_iterator (const const_segment_iterator &other)
| const_segment_iterator (const_segment_iterator &&other)
bool | operator== (const const_segment_iterator &other) const
bool | operator!= (const const_segment_iterator &other) const
const_segment_iterator & | operator= (const const_segment_iterator &other)
const_segment_iterator & | operator= (const_segment_iterator &&other)
const value_type & | operator* ()
const value_type * | operator-> ()
const_segment_iterator & | operator++ ()
const_segment_iterator | operator++ (int)
const_segment_iterator & | operator-- ()
const_segment_iterator | operator-- (int)